/****** Custom file input ******/
.file-upload {
  display: block;
  text-align: center;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 12px;
}
.file-upload .file-select {
  display: block;
  border: 2px solid #dddddd;
  color: #34495e;
  cursor: pointer;
  height: 40px;
  line-height: 40px;
  text-align: left;
  background: #FFFFFF;
  overflow: hidden;
  position: relative;
}
.file-upload .file-select .file-select-button {
  background: #dddddd;
  padding: 0 10px;
  display: inline-block;
  height: 40px;
  line-height: 40px;
}
.file-upload .file-select .file-select-name {
  line-height: 40px;
  display: inline-block;
  padding: 0 10px;
}
.file-upload .file-select:hover {
  border-color: #34495e;
  transition: all .2s ease-in-out;
  -moz-transition: all .2s ease-in-out;
  -webkit-transition: all .2s ease-in-out;
  -o-transition: all .2s ease-in-out;
}
.file-upload .file-select:hover .file-select-button {
  background: #34495e;
  color: #FFFFFF;
  transition: all .2s ease-in-out;
  -moz-transition: all .2s ease-in-out;
  -webkit-transition: all .2s ease-in-out;
  -o-transition: all .2s ease-in-out;
}
.file-upload.active .file-select {
  border-color: #3fa46a;
  transition: all .2s ease-in-out;
  -moz-transition: all .2s ease-in-out;
  -webkit-transition: all .2s ease-in-out;
  -o-transition: all .2s ease-in-out;
}
.file-upload.active .file-select .file-select-button {
  background: #3fa46a;
  color: #FFFFFF;
  transition: all .2s ease-in-out;
  -moz-transition: all .2s ease-in-out;
  -webkit-transition: all .2s ease-in-out;
  -o-transition: all .2s ease-in-out;
}
.file-upload .file-select input[type=file] {
  z-index: 100;
  cursor: pointer;
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  filter: alpha(opacity=0);
}
.file-upload .file-select.file-select-disabled {
  opacity: 0.65;
}
.file-upload .file-select.file-select-disabled:hover {
  cursor: default;
  display: block;
  border: 2px solid #dddddd;
  color: #34495e;
  cursor: pointer;
  height: 40px;
  line-height: 40px;
  margin-top: 5px;
  text-align: left;
  background: #FFFFFF;
  overflow: hidden;
  position: relative;
}
.file-upload .file-select.file-select-disabled:hover .file-select-button {
  background: #dddddd;
  color: #666666;
  padding: 0 10px;
  display: inline-block;
  height: 40px;
  line-height: 40px;
}
.file-upload .file-select.file-select-disabled:hover .file-select-name {
  line-height: 40px;
  display: inline-block;
  padding: 0 10px;
}
/* Side navigation bar z-index on mobile view */
.mm-menu.mm-offcanvas {
  z-index: 999999999999;
}
/*Carousel home page*/
.owl-carousel-div {
  margin-top: 40px;
}
@media (max-width: 767px) {
  .owl-carousel-div {
    margin-top: 0;
  }
}
.owl-carousel-div .item {
  margin: 0 15px;
}
.owl-carousel-div .owl-item {
  opacity: 0.5;
  transform: scale(0.85);
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  -o-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translateZ(0) scale(0.85, 0.85);
  transition: all 0.3s ease-in-out 0s;
  overflow: hidden;
}
.owl-carousel-div .owl-item.active.center {
  opacity: 1;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  -o-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translateZ(0) scale(1, 1);
  transform: scale(1);
}
.owl-carousel-div .owl-item.active.center .item .title h4, .owl-carousel-div .owl-item.active.center .item .views {
  opacity: 1;
}
/* Wishlist button */
a.wishlist-btn {
  position: absolute;
  right: 15px;
  top: -66px;
  z-index: 1;
  background-color: #8dc63f;
  padding: 9px 10px;
  display: inline-block;
  animation: color .3s ease-in-out;
  animation-delay: 1s;
  -webkit-animation-delay: 1s;
  -moz-animation-delay: 1s;
  opacity: 0;
  animation-fill-mode: forwards;
  -webkit-animation-fill-mode: forwards;
  -moz-animation-fill-mode: forwards;
  color: #fff;
  line-height: 1;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  border-radius: 3px;
  opacity: 0;
}
a.wishlist-btn i {
  color: transparent;
  text-stroke: 1px #ffffff;
  -webkit-text-stroke: 1px #ffffff;
}
a.wishlist-btn.active i, a.wishlist-btn:hover i {
  color: #ffffff;
}
/* Customizing Radio Button */
.custom-radio:checked, .custom-radio:not(:checked) {
  position: absolute;
  left: -9999px;
}
.custom-radio:checked + label, .custom-radio:not(:checked) + label {
  position: relative;
  padding-left: 28px;
  cursor: pointer;
  line-height: 20px;
  display: inline-block;
  color: #666;
}
.custom-radio:checked + label:before, .custom-radio:not(:checked) + label:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 18px;
  height: 18px;
  border: 1px solid #ddd;
  border-radius: 100%;
  background: #fff;
}
.custom-radio:checked + label:after, .custom-radio:not(:checked) + label:after {
  content: '';
  width: 12px;
  height: 12px;
  background: #8dc63f;
  position: absolute;
  top: 3px;
  left: 3px;
  border-radius: 100%;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
.custom-radio:not(:checked) + label:after {
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
}
.custom-radio:checked + label:after {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
}
.filter_type h6 {
  /* border-top: 1px solid #ededed; */
  margin: 15px 0;
  padding: 15px 0 0 0;
  font-size: 13px;
  font-size: 0.8125rem;
}
.filter_type ul {
  list-style: none;
  padding: 0;
  margin: 0 0 15px 0;
}
.filter_type ul li {
  margin-bottom: 5px;
  font-size: 13px;
}
.filter_type ul .parent-category {
  margin-bottom: 5px;
  font-size: 12px;
  font-weight: 600;
}
.filter_type .filter-title {
  font-size: 13px;
  font-weight: 400;
}
.hidden {
  display: none;
}
.show-more-less {
  color: #8dc63f;
  text-decoration: none;
}
/* Pagination for elegant */
.page-item.active .page-link {
  z-index: 1;
  color: #fff;
  background-color: #007bff;
  border-color: #007bff;
}
.page-item a {
  position: relative;
  display: block;
  padding: .5rem .75rem;
  margin-left: -1px;
  line-height: 1.25;
  color: #007bff;
  background-color: #fff;
  border: 1px solid #dee2e6;
}
.page-item a:not(:disabled):not(.disabled) {
  cursor: pointer;
}
section#about-instructor {
  border-bottom: 3px solid #ededed;
  margin-bottom: 45px;
  padding-bottom: 45px;
}
section#about-instructor .instructor-summary {
  padding-top: 30px;
}
#hero_in .wrapper h5 {
  color: #fff;
  font-size: 17px;
  text-transform: uppercase;
  font-weight: 300;
  margin-top: 6px;
}
#hero_in h5 {
  animation-delay: 0.8s;
  -webkit-animation-delay: 0.8s;
  -moz-animation-delay: 0.8s;
}
.instructor-image {
  height: 150px;
  width: 150px;
}
.box_grid ul li a {
  background: #fff;
  border: 2px solid #662d91;
  color: #662d91;
  padding: 5px 20px;
  font-weight: 500;
  line-height: 1;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  -webkit-border-radius: 30px;
  -moz-border-radius: 30px;
  -ms-border-radius: 30px;
  border-radius: 30px;
}
.box_grid ul li a:hover {
  background: #662d91;
  color: #fff;
}
#hero_in.courses:before {
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
.banner-img {
  -webkit-background-size: cover !important;
  -moz-background-size: cover !important;
  -o-background-size: cover !important;
  background-size: cover !important;
  animation: pop-in 5s 0.3s cubic-bezier(0, 0.5, 0, 1) forwards !important;
  height: 100% !important;
  width: 100% !important;
  position: absolute !important;
  top: 0 !important;
  right: 0 !important;
  bottom: 0 !important;
  left: 0 !important;
  z-index: -1 !important;
  filter: gray !important;
  -webkit-filter: grayscale(1) !important;
  filter: grayscale(1) !important;
}
.thumb_cart img {
  width: 60px;
  height: 60px;
}
/* Message box css */
.message-section {
  height: 200px !important;
}
ul.message-sender-list {
  counter-reset: item;
}
ul.message-sender-list a {
  color: unset;
}
ul.message-sender-list li {
  background: rgba(243, 243, 243, 0.8);
  border-radius: 4px;
  font-size: 15px;
  line-height: 2;
  margin-bottom: 10px;
  width: 100%;
}
ul.message-sender-list li.active {
  background: rgba(189, 189, 189, 0.6);
}
ul.message-sender-list li.active small {
  color: rgba(71, 71, 71, 0.7);
}
ul.message-sender-list li img {
  border-radius: 50%;
  height: 40px;
  width: 40px;
  margin: 5px;
}
ul.message-sender-list li small {
  font-size: 9px;
  padding: 5px;
  float: right;
  margin-top: 26px;
  color: #b9b6b6;
}
.separator {
  border-right: 1px solid rgba(224, 224, 224, 0.5);
}
.empty-convo {
  text-align: center;
}
.empty-convo img {
  height: 50px;
}
.message-content img {
  height: 45px;
  border-radius: 50%;
}
.message-box-wrap-me {
  margin-bottom: 15px;
  float: right;
  width: 100%;
  display: flex;
}
.message-box-wrap-me .message-box {
  padding: 15px;
  background-color: #594c8a;
  margin-right: 5px;
  border-radius: 4%;
  color: #fff;
  margin-left: auto;
  order: 2;
  width: 350px;
  border-radius: 5px;
}
.message-box-wrap-me .message-box .messages {
  font-size: 13px;
}
.message-box-wrap-me .message-box .time {
  font-size: 9px;
  width: 100%;
  display: block;
  text-align: right;
}
.message-box-wrap-other {
  margin-bottom: 15px;
  float: left;
  text-align: left;
  display: flex;
  width: 100%;
}
.message-box-wrap-other img {
  float: left;
}
.message-box-wrap-other .message-box {
  padding: 15px;
  background-color: rgba(232, 232, 232, 1);
  margin-left: 5px;
  border-radius: 5px;
  width: 350px;
}
.message-box-wrap-other .message-box .messages {
  font-size: 13px;
}
.message-box-wrap-other .message-box .time {
  font-size: 9px;
  width: 100%;
  display: block;
  text-align: right;
}
.compose-btn {
  background-color: #594c8a;
}
.compose-btn:hover {
  background: #1c0086;
  color: #fff;
}
.cancel-btn {
  background-color: rgba(239, 83, 80, 1);
  margin-left: 5px;
}
.cancel-btn:hover {
  background-color: rgba(211, 47, 47, 1);
}
.new-message-section {
  display: none;
}
.course-description + ul {
  list-style: unset;
}
/* Shopping cart icon CSS Starts */
ul#top_menu li a.shopping_cart, ul#top_menu li a.search-overlay-menu-btn {
  display: block;
  width: 25px;
  height: 25px;
  text-indent: -9999px;
  position: relative;
  top: -5px;
}
ul#top_menu li a.shopping_cart:before, ul#top_menu li a.search-overlay-menu-btn:before {
  font-family: 'ElegantIcons';
  font-size: 24px;
  font-size: 1.5rem;
  color: #fff;
  text-indent: 0;
  position: absolute;
  left: 0;
  top: 0;
  font-weight: normal;
  line-height: 1;
}
ul#top_menu li a.shopping_cart:before {
  content: "\e015";
}
/* Shopping cart icon CSS Ends */
/* CSS for tooltip starts */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}
.tooltip .tooltiptext {
  visibility: hidden;
  width: 170px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  top: 5px;
  right: 105%;
  /* Position the tooltip */
  position: absolute;
  z-index: 1;
}
.tooltip:hover .tooltiptext {
  visibility: visible;
}
/* CSS for tooltip ends */
/* CSS For star rating */
.btn_small {
  padding: 11px;
}
.highlighter-menu {
  background-color: #EEEEEE;
}
.highlighter-menu:hover {
  background-color: #EEEEEE;
}